Magick++: Magick::Exception Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::Exception Class Reference

`#include <Exception.h>`

Inheritance diagram for Magick::Exception:
[legend]
Collaboration diagram for Magick::Exception:
[legend]

## Public Member Functions
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
virtual | ~Exception () throw ()
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 24 of file Exception.h.

## Constructor & Destructor Documentation

## ◆ Exception() [1/3]

Magick::Exception::Exception | ( | const std::string & | what_ | ) |

Definition at line 23 of file Exception.cpp.

## ◆ Exception() [2/3]

Magick::Exception::Exception | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |

Definition at line 30 of file Exception.cpp.

## ◆ Exception() [3/3]

Magick::Exception::Exception | ( | const Exception & | original_ | ) |

Definition at line 38 of file Exception.cpp.

## ◆ ~Exception()

Magick::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |
| virtual

Definition at line 45 of file Exception.cpp.

## Member Function Documentation

## ◆ nested() [1/2]

const Magick::Exception * Magick::Exception::nested | ( |  | ) | const
throw | ( |
| ) |  |

Definition at line 63 of file Exception.cpp.

## ◆ nested() [2/2]

void Magick::Exception::nested | ( | Exception * | nested_ | ) |
throw | ( |
| ) |  |

Definition at line 68 of file Exception.cpp.

## ◆ operator=()

Magick::Exception & Magick::Exception::operator= | ( | const Exception & | original_ | ) |

Definition at line 50 of file Exception.cpp.

## ◆ what()

const char * Magick::Exception::what | ( |  | ) | const
throw | ( |
| ) |  |
| virtual

Definition at line 58 of file Exception.cpp.

Referenced by main().

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp